// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/kubernetes_api/rpc/rpc.proto

package rpc

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	kubernetes_api "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/module/kubernetes_api"
	grpctool "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/tool/grpctool"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type HeaderExtra struct {
	state         protoimpl.MessageState              `protogen:"open.v1"`
	ImpConfig     *kubernetes_api.ImpersonationConfig `protobuf:"bytes,1,opt,name=imp_config,json=impConfig,proto3" json:"imp_config,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *HeaderExtra) Reset() {
	*x = HeaderExtra{}
	mi := &file_internal_module_kubernetes_api_rpc_rpc_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *HeaderExtra) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HeaderExtra) ProtoMessage() {}

func (x *HeaderExtra) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_kubernetes_api_rpc_rpc_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HeaderExtra.ProtoReflect.Descriptor instead.
func (*HeaderExtra) Descriptor() ([]byte, []int) {
	return file_internal_module_kubernetes_api_rpc_rpc_proto_rawDescGZIP(), []int{0}
}

func (x *HeaderExtra) GetImpConfig() *kubernetes_api.ImpersonationConfig {
	if x != nil {
		return x.ImpConfig
	}
	return nil
}

var File_internal_module_kubernetes_api_rpc_rpc_proto protoreflect.FileDescriptor

var file_internal_module_kubernetes_api_rpc_rpc_proto_rawDesc = string([]byte{
	0x0a, 0x2c, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69,
	0x2f, 0x72, 0x70, 0x63, 0x2f, 0x72, 0x70, 0x63, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1f,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6b, 0x75, 0x62,
	0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x72, 0x70, 0x63, 0x1a,
	0x25, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x74, 0x6f, 0x6f, 0x6c, 0x2f, 0x67,
	0x72, 0x70, 0x63, 0x74, 0x6f, 0x6f, 0x6c, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x74, 0x6f, 0x6f, 0x6c,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x33, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c,
	0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74,
	0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65,
	0x73, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x5e, 0x0a, 0x0b, 0x48,
	0x65, 0x61, 0x64, 0x65, 0x72, 0x45, 0x78, 0x74, 0x72, 0x61, 0x12, 0x4f, 0x0a, 0x0a, 0x69, 0x6d,
	0x70, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x6b, 0x75,
	0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2e, 0x49, 0x6d, 0x70,
	0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x52, 0x09, 0x69, 0x6d, 0x70, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x32, 0x6d, 0x0a, 0x0d, 0x4b,
	0x75, 0x62, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x41, 0x70, 0x69, 0x12, 0x5c, 0x0a, 0x0b,
	0x4d, 0x61, 0x6b, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x72, 0x70, 0x63, 0x74,
	0x6f, 0x6f, 0x6c, 0x2e, 0x48, 0x74, 0x74, 0x70, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x23, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67,
	0x72, 0x70, 0x63, 0x74, 0x6f, 0x6f, 0x6c, 0x2e, 0x48, 0x74, 0x74, 0x70, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x28, 0x01, 0x30, 0x01, 0x42, 0x5f, 0x5a, 0x5d, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d,
	0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x74, 0x65,
	0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61,
	0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x6b, 0x75, 0x62, 0x65, 0x72, 0x6e, 0x65,
	0x74, 0x65, 0x73, 0x5f, 0x61, 0x70, 0x69, 0x2f, 0x72, 0x70, 0x63, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
})

var (
	file_internal_module_kubernetes_api_rpc_rpc_proto_rawDescOnce sync.Once
	file_internal_module_kubernetes_api_rpc_rpc_proto_rawDescData []byte
)

func file_internal_module_kubernetes_api_rpc_rpc_proto_rawDescGZIP() []byte {
	file_internal_module_kubernetes_api_rpc_rpc_proto_rawDescOnce.Do(func() {
		file_internal_module_kubernetes_api_rpc_rpc_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_kubernetes_api_rpc_rpc_proto_rawDesc), len(file_internal_module_kubernetes_api_rpc_rpc_proto_rawDesc)))
	})
	return file_internal_module_kubernetes_api_rpc_rpc_proto_rawDescData
}

var file_internal_module_kubernetes_api_rpc_rpc_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_internal_module_kubernetes_api_rpc_rpc_proto_goTypes = []any{
	(*HeaderExtra)(nil),                        // 0: gitlab.agent.kubernetes_api.rpc.HeaderExtra
	(*kubernetes_api.ImpersonationConfig)(nil), // 1: gitlab.agent.kubernetes_api.ImpersonationConfig
	(*grpctool.HttpRequest)(nil),               // 2: gitlab.agent.grpctool.HttpRequest
	(*grpctool.HttpResponse)(nil),              // 3: gitlab.agent.grpctool.HttpResponse
}
var file_internal_module_kubernetes_api_rpc_rpc_proto_depIdxs = []int32{
	1, // 0: gitlab.agent.kubernetes_api.rpc.HeaderExtra.imp_config:type_name -> gitlab.agent.kubernetes_api.ImpersonationConfig
	2, // 1: gitlab.agent.kubernetes_api.rpc.KubernetesApi.MakeRequest:input_type -> gitlab.agent.grpctool.HttpRequest
	3, // 2: gitlab.agent.kubernetes_api.rpc.KubernetesApi.MakeRequest:output_type -> gitlab.agent.grpctool.HttpResponse
	2, // [2:3] is the sub-list for method output_type
	1, // [1:2] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_internal_module_kubernetes_api_rpc_rpc_proto_init() }
func file_internal_module_kubernetes_api_rpc_rpc_proto_init() {
	if File_internal_module_kubernetes_api_rpc_rpc_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_kubernetes_api_rpc_rpc_proto_rawDesc), len(file_internal_module_kubernetes_api_rpc_rpc_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_internal_module_kubernetes_api_rpc_rpc_proto_goTypes,
		DependencyIndexes: file_internal_module_kubernetes_api_rpc_rpc_proto_depIdxs,
		MessageInfos:      file_internal_module_kubernetes_api_rpc_rpc_proto_msgTypes,
	}.Build()
	File_internal_module_kubernetes_api_rpc_rpc_proto = out.File
	file_internal_module_kubernetes_api_rpc_rpc_proto_goTypes = nil
	file_internal_module_kubernetes_api_rpc_rpc_proto_depIdxs = nil
}
